org.codehaus.plexus.metadata.ann

## Class AnnInvocationHandler

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.AnnInvocationHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class AnnInvocationHandler
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

Author:
  Eugene Kuleshov

### Constructor Summary

Constructors
Constructor and Description
`AnnInvocationHandler(Ann ann, java.lang.ClassLoader cl, java.lang.Class<?> c)`

### Method Summary

Methods
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnInvocationHandler

    public AnnInvocationHandler(Ann ann,
                        java.lang.ClassLoader cl,
                        java.lang.Class<?> c)

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                          java.lang.reflect.Method m,
                          java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`